﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
    margin: 0;
    overflow: auto;
    background-color: black;
    color: white;
    font-family: Tahoma, Helvetica, sans-serif;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 50px;
}



.footer-bottom {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    height: auto;
    background-color: #254661;
    padding: 3px;
    color: white;
}

@keyframes appear {
    0% {
        opacity: 0;
    }

    10% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}


.divfooter {
    text-align: center;
    height: auto;
    padding: 0;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* QR code generator */
#qrCode {
    margin: 15px;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}


/*====================== ABERTURA =======================*/

canvas {
    width: 100%;
    height: 100%
}

.centralizar {
    position: absolute;
    margin: 0;
    top: 45%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    color: white;
    font-weight: 300;
    text-align: center;
    font-size: 45px;
    line-height: 1em;
    opacity: 0.8;
}


.centralizarimg {
    width: 50%;
    height: auto;
    min-width: 300px;
    max-width: 700px;
}


.flex {
    margin-top: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.centralizarbtn {
    min-width: 15% !important;
    max-height: 10% !important;
    font-family: Arial !important;
    text-decoration: none;
    cursor: pointer;
    border: 1px solid #C40039;
    border-radius: 8px;
    padding: 10px 20px 10px 20px;
    overflow: hidden;
    color: #C40039;
    transition: color 0.3s 0.1s ease-out;
    text-align: center;
    line-height: 100%;
    font-size: xx-large;
}

    .centralizarbtn:before {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        margin: auto;
        content: '';
        border-radius: 50%;
        display: block;
        width: 20em;
        height: 20em;
        line-height: 20em;
        left: -5em;
        text-align: center;
        text-decoration: none;
        transition: box-shadow 0.5s ease-out;
        z-index: -1;
    }

    .centralizarbtn:hover {
        color: #fff;
    }

        .centralizarbtn:hover:before, .btn:hover:after {
            box-shadow: inset 0 0 0 10em #C40039;
        }


.centralizarbtngreen:hover:before, .btn:hover:after {
    box-shadow: inset 0 0 0 10em #198c19 !important;
}
/*============= QUIZ ============*/
#quiz {
    text-align: center;
}

.questions {
    font-size: 20px;
    font-weight: 700;
    min-height: 55px;
    vertical-align: middle;
    text-align: left;
    border-bottom: 1px solid #C40039;
}

.answers {
    padding-bottom: 0;
    padding-top: 0;
    font-size: 18px;
}

    .answers div {
        width: 100%;
        border-top: 1px solid grey;
    }

        .answers div:hover {
            cursor: pointer;
            box-shadow: inset 1px 0 0 10em #C40039;
        }

        .answers div:last-child {
            border-bottom: 1px solid grey;
        }

    .answers:hover:before, .btn:hover:after {
        box-shadow: inset 0 0 0 10em #C40039;
    }

    .answers button {
        width: 100%;
        padding: 5px;
        padding-top: 15px;
        padding-bottom: 15px;
        border-top: 1px solid grey;
        background-color: transparent;
    }

        .answers button:hover {
            cursor: pointer;
            box-shadow: inset 1px 0 0 10em #C40039;
        }

        .answers button:last-child {
            border-bottom: 1px solid grey;
        }

    .answers:hover:before, .btn:hover:after {
        box-shadow: inset 0 0 0 10em #C40039;
    }



.checker {
    display: inline-block;
    width: 320px;
}

.correct, .false, .ignorado {
    background-color: #109D59;
    width: 60px;
    height: 30px;
    line-height: 30px;
    padding-left: 4px;
    float: left;
    margin-left: 2px;
    margin-top: 2px;
}

.false {
    background-color: #DC4437;
}

.ignorado {
    background-color: #D28F02;
}


/*================= TIMER ==============*/
#break-length, #session-length {
    display: inline;
}

#timer-circle {
    height: 60px;
    width: 60px;
    padding-top: 10px;
    margin-top: -12px;
    margin-left: auto;
    border-style: solid;
    border-radius: 50%;
    text-align: center;
    color: #C40039;
    margin-right: 10px;
}

#timer-title {
    color: #FFF;
    font-size: 12px;
}

#timer {
    color: #FFF;
    margin-top: -15px;
    font-size: 20px;
}

#timer-circle:hover {
    cursor: pointer;
}


/*==================== MODEL DIV ========================*/

/* Set a style for all buttons */
.button {
    background-color: #4CAF50;
    color: white;
    padding: 10px;
    margin: 8px 0;
    cursor: pointer;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 6px;
}

button:hover {
    opacity: 0.8;
}

/* Extra styles for the cancel button */
.cancelbtn {
    width: auto;
    padding: 5px 18px;
    background-color: #f44336;
}

.sucessbtn {
    width: auto;
    background-color: #5cb85c;
    border-color: #4cae4c;
    padding: 5px 18px;
}

.containermodal {
    padding: 3px;
}


/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    margin: 0;
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content/Box */
.modal-content {
    display: block;
    margin: auto;
    top: 30%;
    background-color: #fefefe;
    border: 1px solid #888;
    width: 16%;
    min-width: 250px;
    color: black;
    text-align: center;
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 400px;
}

/* Add Zoom Animation */
.animateappear {
    animation: appear 1s ease-in-out forwards;
}

.animateopacity {
    animation: opacity 1s ease-in-out forwards;
}

@keyframes appear {
    0% {
        transform: scale(0);
    }

    25% {
        transform: scale(1)
    }

    50% {
        transform: scale(1)
    }

    75% {
        transform: scale(1)
    }

    100% {
        transform: scale(1)
    }
}

@keyframes opacity {
    0% {
        display: none;
        opacity: 0;
    }

    25% {
        display: block;
        opacity: 0.25;
    }

    50% {
        display: block;
        opacity: 0.5;
    }

    75% {
        display: block;
        opacity: 0.75;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

/*=============== BUTTON FACEBOOK GOOGLE ==============*/

/* Shared */
.loginBtn {
    box-sizing: border-box;
    position: relative;
    width: 48%;
    padding: 0 15px 0 46px;
    border: none;
    text-align: left;
    line-height: 34px;
    white-space: nowrap;
    border-radius: 0.2em;
    font-size: 16px;
    color: #FFF;
}

    .loginBtn:before {
        content: "";
        box-sizing: border-box;
        position: absolute;
        top: 0;
        left: 0;
        width: 34px;
        height: 100%;
    }

    .loginBtn:focus {
        outline: none;
    }

    .loginBtn:active {
        box-shadow: inset 0 0 0 32px rgba(0,0,0,0.1);
    }


/* Facebook */
.loginBtn--facebook {
    background-color: #4C69BA;
    background-image: linear-gradient(#4C69BA, #3B55A0);
    font-family: "Helvetica neue", Helvetica Neue, Helvetica, Arial, sans-serif;
}

    .loginBtn--facebook:before {
        border-right: #364e92 1px solid;
        background: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/14082/icon_facebook.png') 6px 6px no-repeat;
    }

    .loginBtn--facebook:hover,
    .loginBtn--facebook:focus {
        background-color: #5B7BD5;
        background-image: linear-gradient(#5B7BD5, #4864B1);
    }


/* Google */
.loginBtn--google {
    font-family: "Roboto", Roboto, arial, sans-serif;
    background: #DD4B39;
}

    .loginBtn--google:before {
        border-right: #BB3F30 1px solid;
        background: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/14082/icon_google.png') 6px 6px no-repeat;
    }

    .loginBtn--google:hover,
    .loginBtn--google:focus {
        background: #E74B37;
    }


/*================== BOTÃO COM ANIMAÇÃO =============*/

.bttn-disable {
    min-width: 320px;
    font-size: xx-large;
    text-align: center;
    display: inline-block;
    width: auto;
    padding: 10px 20px 10px 20px;
    border: 1px solid #98002c;
    border-radius: 8px;
    position: relative;
    line-height: 100%;
    background-color: #20010a;
}


.bttn-dark {
    min-width: 320px;
    font-size: xx-large;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    width: auto;
    padding: 10px 20px 10px 20px;
    border: 1px solid #C40039;
    border-radius: 8px;
    position: relative;
    line-height: 100%;
    cursor: pointer;
    background-color: black;
}

    .bttn-dark:before {
        -webkit-transition: 0.5s all ease;
        transition: 0.5s all ease;
        position: absolute;
        top: 0;
        left: 50%;
        right: 50%;
        bottom: -1px;
        opacity: 0;
        content: '';
        background-color: #C40039;
        border-radius: 8px;
        z-index: -1;
    }

    .bttn-dark:hover:before {
        -webkit-transition: 0.5s all ease;
        transition: 0.5s all ease;
        left: 0;
        right: 0;
        opacity: 1;
    }

    .bttn-dark:focus:before {
        -webkit-transition: 0.5s all ease;
        transition: 0.5s all ease;
        left: 0;
        right: 0;
        opacity: 1;
    }

.bttn-darkGreen {
    border: 1px solid #198c19 !important;
}

    .bttn-darkGreen:before {
        background-color: #198c19 !important;
        border: 1px solid #198c19;
    }

.bttn-darkYellow {
    border: 1px solid #cccc00 !important;
}

    .bttn-darkYellow:before {
        background-color: #cccc00 !important;
        border: 1px solid #cccc00;
    }

/*==================== PISCAR ======================*/

.blink {
    -webkit-animation-name: blink;
    -moz-animation-name: blink;
    -o-animation-name: blink;
    animation-name: blink;
    -webktit-animation-timing-function: linear;
    -moz-animation-timing-function: linear;
    -o-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-duration: 1.5s;
    -moz-animation-duration: 1.5s;
    -o-animation-duration: 1.5s;
    animation-duration: 1.5s;
}

.blink-infinite {
    -webkit-animation-iteration-count: infinite;
    -moz-animation-iteration-count: infinite;
    -o-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}

.blink-5 {
    -webkit-animation-iteration-count: 5;
    -moz-animation-iteration-count: 5;
    -o-animation-iteration-count: 5;
    animation-iteration-count: 5;
}

.blink-furiously {
    -webkit-animation-duration: 0.3s;
    -moz-animation-duration: 0.3s;
    -o-animation-duration: 0.3s;
    animation-duration: 0.3s;
}

@-webkit-keyframes blink {
    50% {
        opacity: 0.6;
    }
}

@-moz-keyframes blink {
    50% {
        opacity: 0.6;
    }
}

@-o-keyframes blink {
    50% {
        opacity: 0.6;
    }
}

@keyframes blink {
    50% {
        opacity: 0.6;
    }
}

/*=============== CIRCLES ===============*/

.circles {
    width: 60vmin;
    height: 60vmin;
    margin: 10% auto;
    -webkit-perspective: 50000px;
    perspective: 50000px;
    color: #C40039;
}

    .circles span {
        position: absolute;
        top: 50%;
        left: 50%;
        -webkit-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        display: block;
        width: 18.4%;
        height: 18.4%;
        border-radius: 100%;
        background: currentColor;
    }

    .circles div {
        position: absolute;
        width: 100%;
        height: 100%;
        border-left: 2vmin solid;
        border-top: 2vmin solid transparent;
        border-radius: 100%;
    }

        .circles div:nth-child(1) {
            -webkit-animation: anim-1 1s linear infinite;
            animation: anim-1 1s linear infinite;
        }

        .circles div:nth-child(2) {
            -webkit-animation: anim-2 1s linear infinite;
            animation: anim-2 1s linear infinite;
        }

        .circles div:nth-child(3) {
            -webkit-animation: anim-3 1s linear infinite;
            animation: anim-3 1s linear infinite;
        }

@-webkit-keyframes anim-1 {
    from {
        -webkit-transform: rotateZ(120deg) rotateX(66deg) rotateZ(0deg);
        transform: rotateZ(120deg) rotateX(66deg) rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(120deg) rotateX(66deg) rotateZ(360deg);
        transform: rotateZ(120deg) rotateX(66deg) rotateZ(360deg);
    }
}

@keyframes anim-1 {
    from {
        -webkit-transform: rotateZ(120deg) rotateX(66deg) rotateZ(0deg);
        transform: rotateZ(120deg) rotateX(66deg) rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(120deg) rotateX(66deg) rotateZ(360deg);
        transform: rotateZ(120deg) rotateX(66deg) rotateZ(360deg);
    }
}

@-webkit-keyframes anim-2 {
    from {
        -webkit-transform: rotateZ(240deg) rotateX(66deg) rotateZ(0deg);
        transform: rotateZ(240deg) rotateX(66deg) rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(240deg) rotateX(66deg) rotateZ(360deg);
        transform: rotateZ(240deg) rotateX(66deg) rotateZ(360deg);
    }
}

@keyframes anim-2 {
    from {
        -webkit-transform: rotateZ(240deg) rotateX(66deg) rotateZ(0deg);
        transform: rotateZ(240deg) rotateX(66deg) rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(240deg) rotateX(66deg) rotateZ(360deg);
        transform: rotateZ(240deg) rotateX(66deg) rotateZ(360deg);
    }
}

@-webkit-keyframes anim-3 {
    from {
        -webkit-transform: rotateZ(360deg) rotateX(66deg) rotateZ(0deg);
        transform: rotateZ(360deg) rotateX(66deg) rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(360deg) rotateX(66deg) rotateZ(360deg);
        transform: rotateZ(360deg) rotateX(66deg) rotateZ(360deg);
    }
}

@keyframes anim-3 {
    from {
        -webkit-transform: rotateZ(360deg) rotateX(66deg) rotateZ(0deg);
        transform: rotateZ(360deg) rotateX(66deg) rotateZ(0deg);
    }

    to {
        -webkit-transform: rotateZ(360deg) rotateX(66deg) rotateZ(360deg);
        transform: rotateZ(360deg) rotateX(66deg) rotateZ(360deg);
    }
}


/*===================== TABELA ============================*/

.table-fill {
    background: white;
    padding: 5px;
    width: 100%;
}

    .table-fill th {
        color: #EEF1F4;
        background: #1b1e24;
        font-size: 16px;
        font-weight: 100;
        padding: 5px;
        vertical-align: middle;
        text-align: center;
    }

    .table-fill td {
        background: #FFFFFF;
        padding: 5px;
        vertical-align: middle;
        font-weight: 300;
        font-size: 14px;
        text-shadow: -1px -1px 1px rgba(0, 0, 0, 0.1);
        border-right: 1px solid #C1C3D1;
    }

    .table-fill tr {
        border-top: 1px solid #C1C3D1;
        color: #666B85;
        font-size: 14px;
        font-weight: normal;
    }

        .table-fill tr:hover td {
            background: #C40039;
            color: #FFFFFF;
        }

        .table-fill tr:first-child {
            border-top: none;
        }


        .table-fill tr:nth-child(odd):hover td {
            background: #C40039;
        }


.table-fill-blue {
    background: white;
    padding: 5px;
    width: 100%;
}

    .table-fill-blue tr:hover td {
        background: #9ccdda;
        color: black;
    }

    .table-fill-blue tr:first-child {
        border-top: none;
    }


    .table-fill-blue tr:nth-child(odd):hover td {
        background: #9ccdda;
    }

/*===================== DESATIVAR SELEÇÃO ============================*/

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

.help-block ul {
    list-style-type: none;
    color: white;
    text-align: center;
    font-size: large;
    margin-left: -30px;
}



/*===================== REDES SOCIAIS ============================*/

/* footer social icons */
ul.social-network {
    list-style: none;
    display: inline;
    margin-left: 0 !important;
    padding: 0;
}

    ul.social-network li {
        display: inline;
    }


/* footer social icons */


.social-network a.icoFacebook:hover {
    background-color: #3B5998;
}

.social-network a.icoTwitter:hover {
    background-color: #33ccff;
}

.social-network a.icoYoutube:hover {
    background-color: red;
}

.social-network a.icoInstagram:hover {
    background-color: #9f106a;
}

    .social-network a.icoFacebook:hover i,
    .social-network a.icoTwitter:hover i,
    .social-network a.icoyoutube:hover i,
    .social-network a.icoInstagram:hover i {
        color: #fff;
    }

a.socialIcon:hover,
.socialHoverClass {
    color: #44BCDD;
}

.social-circle li a {
    display: inline-block;
    position: relative;
    margin: 0 auto 0 auto;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
    text-align: center;
    width: 45px;
    height: 45px;
    font-size: 32px;
}

.social-circle li i {
    margin: 0;
    line-height: 40px;
    text-align: center;
}

.social-circle li a:hover i,
.triggeredHover {
    -moz-transform: rotate(360deg);
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    transition: all 1s;
}

.social-circle i {
    color: #ccdddd;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    transition: all 1s;
}


.imageTeste {
    overflow: hidden;
    transition-duration: 1s;
    transition-property: transform;
}

    .imageTeste:hover {
        -webkit-transform: rotate(360deg);
    }



.btnfixed {
    margin-top: 4px;
    margin-right: 3px;
    min-width:100px;
    position: absolute;
    top: 0;
    right: 0;
    font-weight:bold;
}

.btnfixedleft {
    margin-top: 4px;
    margin-right: 3px;
    min-width: 100px;
    position: absolute;
    top: 0;
    left: 0;
    font-weight: bold;
}

/*============= ANIMAÇÃO SEND================*/


.enviando {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

    .enviando span {
        font-size: 24px;
        color: #555;
        transition: all 0.5s ease-in-out;
        display: inline-block;
        animation: animate 2s infinite;
    }

        .enviando span:nth-child(1) {
            animation-delay: 0.2s;
        }

        .enviando span:nth-child(2) {
            animation-delay: 0.3s;
        }

        .enviando span:nth-child(3) {
            animation-delay: 0.4s;
        }

        .enviando span:nth-child(4) {
            animation-delay: 0.5s;
        }

        .enviando span:nth-child(5) {
            animation-delay: 0.6s;
        }

        .enviando span:nth-child(6) {
            animation-delay: 0.7s;
        }

        .enviando span:nth-child(7) {
            animation-delay: 0.8s;
        }

        .enviando span:nth-child(8) {
            animation-delay: 0.9s;
        }

@keyframes animate {
    0% {
        transform: translatey(0);
        margin-left: 0;
    }

    50% {
        transform: translatey(-15px);
        color: #C40039;
        margin-left: 5px;
        text-shadow: 0 5px 5px rgba(0, 0, 0, 1);
    }

    100% {
        transform: translatey(0);
        margin-left: 0;
    }
}
